#include <syslog.h>
#include <Clipboard.h>

#include "CueBeAddon.h"

class ClipboardCueBeAddon: public CueBeAddon
{
public:
				ClipboardCueBeAddon();

	status_t	CatScan(BMessage* catscan);
};

CueBeAddon* instantiate_cuebe_addon()
	{return (new ClipboardCueBeAddon());}

ClipboardCueBeAddon::ClipboardCueBeAddon()
{ /* empty constructor */ }

status_t
ClipboardCueBeAddon::CatScan(BMessage* catscan)
{
	BMessage *clip = (BMessage *)NULL;
	BString type, barcode, xtype("text/x-");

	catscan->FindString("barcode", &barcode);
	catscan->FindString("type", &type);

	// the xtype really ought be something more like x-CueBe-XXX.  but who cares.

	xtype.Append(type);

	// its all about cut 'n' paste (thanks mr. bebook)
	if (be_clipboard->Lock()) {
		be_clipboard->Clear();
		if ((clip = be_clipboard->Data())) { 
			clip->AddData(xtype.String(), B_MIME_TYPE, barcode.String(), barcode.Length()); 
			clip->AddData("text/plain", B_MIME_TYPE, barcode.String(), barcode.Length());
			be_clipboard->Commit(); 
		} 
		be_clipboard->Unlock();
	}
//	syslog(LOG_DEBUG, "ClipboardCueBeAddon::CatScan: '%s'", barcode.String());
	return B_OK;
}