#ifndef	CUEBEDRIVER_H
#define	CUEBEDRIVER_H

#define	CUEBE_DEVICE_NAME	"CueCat [Keyboard]"

#define CUEBE_SUBSCRIBE		0xcbadd
#define CUEBE_UNSUBSCRIBE	0xcbdeadd

#define CUEBE_CATSCAN		0xcbcee
#define CUEBE_UNLOADING		0xcbdeaddd

/*	CUEBE_* Message Descriptions
 *
 *  Your application sends to CueBe (through BInputDevice::Control)
 *
 *	what = CUEBE_SUBSCRIBE
 *		// start receiving scan messages
 *		BMessenger	"messenger"		Archived target BMessenger
 *
 *	what = CUEBE_UNSUBSCRIBE
 *		// stop receiving scan messages
 *		BMessenger	"messenger"		Archived BMessenger which should not get scan messages anymore
 *
 *
 *	CueBe sends to your application
 *
 *	what = CUEBE_CATSCAN
 *		// scan message
 *		BString		"barcode"
 *
 *	what = CUEBE_UNLOADING
 *		// sent when the CueBe driver is unloading (due to system or input_server shutdown)
 *		// 	this means your app won't be getting any more messages from CueBe
 *
*/

/* SUBSCRIBE message has:
	BMessenger	"messenger"	archived BMessenger
	int32		"command"	the 'what' of the sent messages	
*/

/* CUEBE_CATSCAN
	String		"barcode"	decoded (and fixed) barcode
	String		"type"		for now, this is the 3-letter code returned by the cuecat
	String		"scannerid"	the ID of the scanner.  this will always be present in messages created by CueBe, but it may be a faux code
	String		"rawdata"	this is the raw string of characters that is created by the cuecat.
							again, CueBe may actually replace the "id" portion of the code with a fake one.
							it is unlikely that CueBe will replace the 'barcode' portion of this with a fixed version.
*/

#endif	/* CUEBEDRIVER_H */